use serde::Deserialize;

#[derive(Deserialize, Clone)]
pub struct BootConfigDef{
    pub hostname: String,
}

impl BootConfigDef {
    pub fn default() -> BootConfigDef {
        BootConfigDef{
            hostname: "ELIP4NG-Default-Hostname".to_string(),
        }
    }
}