use std::io::Error;
use std::time::Duration;
use crate::logger::LogWriter;

pub struct SysInit {
    logger: LogWriter,
    is_ready: bool,
}

impl SysInit {
    pub fn new(logger: LogWriter) ->SysInit {
        SysInit{logger, is_ready: false}
    }

    pub async fn prepare(&mut self) -> Option<Error> {
        None
    }

    pub async fn run(&mut self) {
        loop {
            let _ = tokio::time::sleep(Duration::from_secs(10));
        }
    }
}
